Identity, people & notifications

Get Grants For Employee

Lists an employee non-SCP grants with vestings and projected vested/unvested units at an optional termination date.

GEThttps://api.toku.com/platform/get-grants-for-employee

Not available to API keys yet. It will need grants:read.

curl --request GET \
  --url 'https://api.toku.com/platform/get-grants-for-employee?employeeRoleInOrgID=%3CemployeeRoleInOrgID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
[
  {
    "grantID": "string",
    "grantName": "string",
    "grantAmount": "string",
    "grantDate": "string",
    "grantStatus": "PENDING",
    "tokenType": "string",
    "vestings": [
      {
        "vestingID": "string",
        "vestingDate": "string",
        "status": "PENDING",
        "vestedUnits": "string",
        "sequence": 0
      }
    ],
    "projectedVestedUnits": "string",
    "projectedUnvestedUnits": "string",
    "totalVestedUnits": "string"
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

employeeRoleInOrgIDstring<uuid>required
terminationDatestring

NOTE(ck): a .refine() rule is not mirrored here; TGA still enforces it

Response

200Successful response
grantIDstringrequired
grantNamestringrequired
grantAmountstringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

grantDatestringrequired
grantStatusstringrequired

Available options: PENDING, REJECTED, ACCEPTED, COMPLETED, TERMINATED, PAUSED, MARKED_FOR_FUTURE_TERMINATION

tokenTypestring | nullrequired
vestingsobject[]required
Show child attributes
vestingIDstringrequired
vestingDatestringrequired
statusstringrequired

Available options: PENDING, VESTED, FORFEITED, EXPIRED, CANCELLED, OFF_PLATFORM, UNLOCKED, SETTLED

vestedUnitsstringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

sequenceinteger | nullrequired
projectedVestedUnitsstringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

projectedUnvestedUnitsstringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

totalVestedUnitsstringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits